# tns appstore upload

==========

Usage | Synopsis
--- | ---
Build and upload package | `$ tns appstore upload [<Apple ID> [<Password> [<Mobile Provisioning Profile Identifier> [<Code Sign Identity>]]]]]`
Upload package | `$ tns appstore upload [<Apple ID> [<Password>]] --ipa <Ipa File Path>`

Uploads project to iTunes Connect. The command either issues a production build and uploads it to iTunes Connect, or uses an already built package to upload.

### Options

- `--ipa` - If set, will use provided .ipa file instead of building the project.

### Attributes

- `<Apple ID>` and `<Password>` are your credentials for logging into iTunes Connect.
- `<Mobile Provisioning Profile Identifier>` the identifier of the mobile provision(e.g. d5d40f61-b303-4fc8-aea3-fbb229a8171c) which will be used for building. This can easily be acquired through the iPhone Configuration Utility.
- `<Code Sign Identity>` the code sign identity which will be used for building. You can set it to something generic like 'iPhone Distribution' to let the build automatically detect a code sign identity.

### Command Limitations

- You can run `$ tns appstore upload` only on OS X systems.

### Related Commands

Command | Description
--- | ---
appstore | Lists applications registered in iTunes Connect.
build | Builds the project for the selected target platform and produces an application package that you can manually deploy on device or in the native emulator.
build ios | Builds the project for iOS and produces an APP or IPA that you can manually deploy in the iOS Simulator or on device, respectively.
deploy | Builds and deploys the project to a connected physical or virtual device.
run | Runs your project on a connected device or in the native emulator for the selected platform.
run ios | Runs your project on a connected iOS device or in the iOS Simulator, if configured.